##
##  go-cc.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2017 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         go-cc
Summary:      Go C Compiler
URL:          http://openpkg.org/
Vendor:       OpenPKG Foundation e.V.
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      PD
Version:      0
Release:      20170225

#   list of sources
Source0:      go-cc.pl
Source1:      go-cxx.pl

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gcc, gcc::with_cxx = yes
PreReq:       OpenPKG, openpkg >= 20160101, perl

%description
    This small package just provides a go-cc(1) and go-c++(1) executable
    which wrap CC, CXX, CFLAGS, CXXFLGS, CPPFLAGS and LDFLAGS flags
    into standalone commands -- as one cannot easily pass-through those
    flags via the "go build" process. Additionally, it carefully handles
    -I and -L options to avoid a conflict between GC's and Go's "gc.h"
    include file.

%track

%prep
    %setup -q -T -c

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        -e 's;@CC@;%{l_cc};g' \
        -e 's;@CFLAGS@;%{l_cflags -O};g' \
        -e 's;@CPPFLAGS@;%{l_cppflags};g' \
        -e 's;@LDFLAGS@;%{l_ldflags};g' \
        %{SOURCE go-cc.pl} $RPM_BUILD_ROOT%{l_prefix}/bin/go-cc
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        -e 's;@CXX@;%{l_cc};g' \
        -e 's;@CXXFLAGS@;%{l_cxxflags -O};g' \
        -e 's;@CPPFLAGS@;%{l_cppflags};g' \
        -e 's;@LDFLAGS@;%{l_ldflags};g' \
        %{SOURCE go-cxx.pl} $RPM_BUILD_ROOT%{l_prefix}/bin/go-c++
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

